## g_rmsdist

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_rmsdist computes the root mean square deviation of atom distances, which has the advantage that no fit is needed like in standard RMS deviation as computed by g_rms. The reference structure is taken from the structure file. The rmsd at time t is calculated as the rms of the differences in distance between atom-pairs in the reference structure and the structure at time t.

g_rmsdist can also produce matrices of the rms distances, rms distances scaled with the mean distance and the mean distances and matrices with NMR averaged distances (1/r^3 and 1/r^6 averaging). Finally, lists of atom pairs with 1/r^3 and 1/r^6 averaged distance below the maximum distance (`-max`, which will default to 0.6 in this case) can be generated, by default averaging over equivalent hydrogens (all triplets of hydrogens named *[123]). Additionally a list of equivalent atoms can be supplied (`-equiv`), each line containing a set of equivalent atoms specified as residue number and name and atom name; e.g.:

`3 SER HB1 3 SER HB2`

Residue and atom names must exactly match those in the structure file, including case. Specifying non-sequential atoms is undefined.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-equiv` | `equiv.dat` | Input, Opt. | Generic data file
`-o` | `distrmsd.xvg` | Output | xvgr/xmgr file
`-rms` | `rmsdist.xpm` | Output, Opt. | X PixMap compatible matrix file
`-scl` | `rmsscale.xpm` | Output, Opt. | X PixMap compatible matrix file
`-mean` | `rmsmean.xpm` | Output, Opt. | X PixMap compatible matrix file
`-nmr3` | `nmr3.xpm` | Output, Opt. | X PixMap compatible matrix file
`-nmr6` | `nmr6.xpm` | Output, Opt. | X PixMap compatible matrix file
`-noe` | `noe.dat` | Output, Opt. | Generic data file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-nlevels` | int | `40` | Discretize rms in # levels
`-max` | real | `-1` | Maximum level in matrices
`-[no]sumh` | bool | `yes` | average distance over equivalent hydrogens

http://www.gromacs.org
gromacs@gromacs.org